from fastapi import FastAPI
from tortoise.contrib.fastapi import register_tortoise

from const import db_url


TORTOISE_ORM = {
    'connections': {'default': db_url},
    'apps': {
        'models': {
            'models': ['code.models', 'aerich.models'],
            'default_connection': 'default',
        },
    },
}


def init_db(app: FastAPI) -> None:
    register_tortoise(
        app,
        db_url=db_url,
        modules={"models": ["models"]},
        generate_schemas=False,
        add_exception_handlers=True,
    )
